searchData={"items":[{"type":"extras","title":"Kiosk System for Raspberry Pi 5 Model B (64-bit)","doc":"# Kiosk System for Raspberry Pi 5 Model B (64-bit)\n\nThis is a specialised version of the\n[nerves_system_rpi5](https://github.com/nerves-project/nerves_system_rpi5) that\nincludes the required packages to run a fullscreen web browser in kiosk mode.\n\nThis is a work-in-progress to bring a maintained open source web kiosk back to\nNerves. Thanks to the following people and their code that they shared:\n\n* [Tim Cooper's RPi4 Kiosk](https://github.com/coop/kiosk_system_rpi4)\n* [Tom Winkler's reTerminal DM Kiosk](https://github.com/formrausch/frio_rpi4)\n\nThe documentation here is out of date, but the example works.","ref":"readme.html"},{"type":"extras","title":"Using - Kiosk System for Raspberry Pi 5 Model B (64-bit)","doc":"The most common way of using this Nerves System is create a project with `mix\nnerves.new my_kiosk_app --target rpi5` and to export `MIX_TARGET=rpi5`.\n\nThen, change the rpi5 system dependency to `{:kiosk_system_rpi5, \"~> 0.1.0\"}.","ref":"readme.html#using"},{"type":"extras","title":"Running the Kiosk - Kiosk System for Raspberry Pi 5 Model B (64-bit)","doc":"The kiosk works by starting a\n[weston](https://gitlab.freedesktop.org/wayland/weston) instance and then launching\na [cog](https://github.com/Igalia/cog) browser inside weston at a designated\nurl. Roughly it looks like this:\n\n```sh\n$ ssh nerves.local\n> cmd(\"mkdir /tmp/xdg\")\n> cmd(\"chmod 700 /tmp/xdg\")\n> cmd(\"XDG_RUNTIME_DIR=/tmp/xdg weston --tty=1 &\")\n> cmd(\"udevd -d\")\n> cmd(\"udevadm trigger --type=subsystems --action=add\")\n> cmd(\"udevadm trigger --type=devices --action=add\")\n> cmd(\"udevadm settle --timeout=30\")\n> cmd(\"XDG_RUNTIME_DIR=/tmp/xdg WAYLAND_DISPLAY=wayland-1 cog --platform=wl http://info.cern.ch &\")\n```\n\nPlug in a keyboard and display and you should see the home of the first website\nas long as you have internet.\n\nFor use with this system there are some libraries that make running weston and cog easier, they are:\n\n- [nerves_weston](https://github.com/coop/nerves_weston)\n- [nerves_cog](https://github.com/coop/nerves_cog)\n\nYou can see an example of how to assemble them into a working kiosk in the\n[example](/example) directory.","ref":"readme.html#running-the-kiosk"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThis project does NOT follow semantic versioning. The version increases as\nfollows:\n\n1. Major version updates are breaking updates to the build infrastructure.\n   These should be very rare.\n2. Minor version updates are made for every major Buildroot release. This\n   may also include Erlang/OTP and Linux kernel updates. These are made four\n   times a year shortly after the Buildroot releases.\n3. Patch version updates are made for Buildroot minor releases, Erlang/OTP\n   releases, and Linux kernel updates. They're also made to fix bugs and add\n   features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"This is an initial release to make it easier for more people to test Nerves web\nkiosks on the Raspberry Pi 5. Future releases will likely be incompatible to\nexpand the root filesystem and this one might have some frustrating bugs.","ref":"changelog.html#v0-1-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}